Fix segfault running 1.8 tests against 1.9 binary
authorAntonio Terceiro <terceiro@softwarelivre.org>
Sat, 16 Jul 2011 18:55:44 +0000 (11:55 -0700)
committerAntonio Terceiro <terceiro@softwarelivre.org>
Sat, 16 Jul 2011 18:55:44 +0000 (11:55 -0700)
debian/changelog
debian/control
debian/ruby-tests.rb

index 6d8cb9d..8f94b7c 100644 (file)
@@ -1,3 +1,15 @@
+ruby-bcrypt (2.1.4-2) unstable; urgency=low
+
+  * Team upload.
+  * debian/ruby-tests.rb: Do not add 'ext/mri' to the $LOAD_PATH. This fixes
+    the problem of runing tests for Ruby 1.8 against the binary extension for
+    Ruby 1.9, which causes a segfault during the test phase of the build. A
+    newer gem2deb is required to run the tests, so debian/control was changed
+    accordingly to Build-Depend on gem2deb (>= 0.2.5~)
+    (Closes: #633302)
+
+ -- Antonio Terceiro <terceiro@debian.org>  Sat, 16 Jul 2011 11:54:21 -0700
+
 ruby-bcrypt (2.1.4-1) unstable; urgency=low
 
   * Initial release (Closes: #623597)
index d4dfef2..9a45fc6 100644 (file)
@@ -4,7 +4,7 @@ Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
-               gem2deb (>= 0.2.1),
+               gem2deb (>= 0.2.5~),
                ruby-rspec (>= 2.5.0)
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-bcrypt.git
index 6f5197b..ba40941 100644 (file)
@@ -1,4 +1,3 @@
-$: << 'lib' << 'ext/mri' << '.'
 require 'rspec'
 
 Dir['{spec}/**/*.rb'].each { |f| require f }